<?php

namespace App\Http\Controllers;

use App\Carte;
use App\Operationcarte;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class TypeopeController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function CarteOperation(){
        $operation=Operationcarte::OrderBy('id','desc')->get();
        return view('Operation.carte',compact('operation'));
    }

    public function addOperationCarte(Request $request){

        //vérification de la carte
        $n1=$request->input('n1');
        $n2=$request->input('n2');
        $n3=$request->input('n3');
        $n4=$request->input('n4');
        $n="$n1-$n2-$n3-$n4";
        $carte=Carte::where('numeroCarte','=',$n)->first();

        if($carte){
            $add=new Operationcarte();
            $m=rand(100,999999);
            $n=rand(1234,999999);
            $add->CodeOperation="$m-$n";
            $add->operation=$request->input('operation');
            $add->montant=$request->input('montant');
            $add->agent=Auth::user()->getAuthIdentifier();
            $add->etat=0;
            if($add->operation=="depot"){
                //enrégistrement de l'opération
                $add->carte=$carte->id;
                $add->save();
                //mise sur le solde de la carte
                $carte->solde+=$add->montant;
                $carte->save();
                return back()->with("info","L'opération du dépôt a reussit avec succès.");
            }else{
                  if($carte->solde>$add->montant){
                      //enrégistrement de l'opération
                      $add->carte=$carte->id;
                      $add->save();
                      //mise sur le solde de la carte
                      $carte->solde-=$add->montant;
                      $carte->save();
                      return back()->with("info","L'opération du retrait a reussit avec succès.");
                  }else{
                      return back()->with("info","Désolé, le solde du client est insuffisant.");
                  }
            }
        }else{
            return back()->with("info","Désolé, ce compte n'appartient a aucun client.");
        }
    }

    public function BoucleOperationCarte($id){
        $Operation=Operationcarte::find(decrypt($id));
        $Operation->etat=1;
        $Operation->save();
        return back()->with("info","Opération bouclé avec succès.");
    }

    public function supprimerOperationCarte($id){
        Operationcarte::destroy(decrypt($id));
        return back()->with("info","Opération anulé avec succès.");
    }
}
