<?php

namespace App\Http\Controllers;

use App\Devise;
use Illuminate\Http\Request;

class DeviseController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function Devise(){
        $Devise=Devise::OrderBy('libelleDevise','asc')->get();
      return view('Produit.add',compact('Devise'));
    }

    public function AddDevise(Request $request){
        $add=new Devise();
        $add->libelleDevise=$request->input('devise');
        $add->signe=$request->input('signe');
        //vérification de la devise
        $v=Devise::where('libelleDevise','=',$add->libelleDevise)->get();
        if(count($v)>0){
            return back()->with("info","Désolé, cette devise $add->libelleDevise existe déjà.");
        }else{
            $add->save();
            return back()->with("info","La devise $add->libelleDevise a été ajouté avec succès.");
        }
    }

    public function deleteDevise($id){
        Devise::destroy(decrypt($id));
        return back()->with("info","Produit supprimé avec succès.");
    }

    public function updateDevise($id, Request $request){
        $add=Devise::find(decrypt($id));
        $add->libelleDevise=$request->input('devise');
        $add->signe=$request->input('signe');
        //vérification de la devise
        $v=Devise::where('libelleDevise','=',$add->libelleDevise)->get();
        if(count($v)>1){
            return back()->with("info","Désolé, cette devise $add->libelleDevise existe déjà.");
        }else{
            $add->save();
            return back()->with("info","La devise $add->libelleDevise a été modifié avec succès.");
        }
    }
}
