@extends('Dash.app')
@section('title')
    ISO
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un iso
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th width="50%">Message</th>
                <th></th>
                <th>Libelle</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                  @foreach($iso as $i=>$s)
                      <tr>
                          <td>{{$i+1}}</td>
                          <td>
                              @php
                                 $Message=\App\Mesage::find($s->idMessage);
                              @endphp
                              @if($Message) {{$Message->message}} @else inconnu @endif
                          </td>
                          <td></td>
                          <td>{{$s->libelleISO}}</td>
                          <td></td>
                      </tr>
                  @endforeach
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un ISO</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AddISO')}}">
                        @csrf
                        <label>Libelle iso</label>
                        <input type="text" class="form-control" name="libelle" required><br>
                        <label>Message</label>
                        <select class="form-control" required name="message">
                            <option value="">Cliquez</option>
                            @foreach($message as $m)
                                <option value="{{$m->id}}">{{$m->message}}</option>
                            @endforeach
                        </select><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection