<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*Route::get('/', function () {
    return view('welcome');
});*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
//gestion des banques
Route::get('Banques','BanqueController@Banques')->name('Banques');
Route::post('AddBanque','BanqueController@AddBanque')->name('AddBanque');
Route::get('deleteBanque/{id}','BanqueController@deleteBanque')->name('deleteBanque');
Route::post('UpdateBanque/{id}','BanqueController@UpdateBanque')->name('UpdateBanque');
//gestion des comptes
Route::get('TypeAccount','TypeaccountController@TypeAccount')->name('TypeAccount');
Route::post('AddTypeAccount','TypeaccountController@AddTypeAccount')->name('AddTypeAccount');
Route::get('deleteTypeAccount/{id}','TypeaccountController@deleteTypeAccount')->name('deleteTypeAccount');
Route::post('UpdateTypeAccount/{id}','TypeaccountController@UpdateTypeAccount')->name('UpdateTypeAccount');
Route::get('compte','TypeaccountController@compte')->name('compte');
Route::post('AddAccount','TypeaccountController@AddAccount')->name('AddAccount');
Route::post('ChangeTypeAccount/{id}','TypeaccountController@ChangeTypeAccount')->name('ChangeTypeAccount');
Route::get('deleteAccount/{id}','TypeaccountController@deleteAccount')->name('deleteAccount');
//gestion des Types cartes
Route::get('TypecarteSEPA','TypeaccountController@TypecarteSEPA')->name('TypecarteSEPA');
Route::post('AddTypeCarte','TypeaccountController@AddTypeCarte')->name('AddTypeCarte');
Route::get('deleteTypeCarte/{id}','TypeaccountController@deleteTypeCarte')->name('deleteTypeCarte');
Route::post('UpdateTypeCarte/{id}','TypeaccountController@UpdateTypeCarte')->name('UpdateTypeCarte');
//gestion des carte sepa
Route::get('carteSEPA','TypeaccountController@carteSEPA')->name('carteSEPA');
Route::post('CreateCarte','TypeaccountController@CreateCarte')->name('CreateCarte');
Route::get('deleteCarteSepa/{id}','TypeaccountController@deleteCarteSepa')->name('deleteCarteSepa');
Route::get('BloqueCarteSepa/{id}','TypeaccountController@BloqueCarteSepa')->name('BloqueCarteSepa');
Route::get('ActiverCarteSepa/{id}','TypeaccountController@ActiverCarteSepa')->name('ActiverCarteSepa');
//operation
Route::get('CarteOperation','TypeopeController@CarteOperation')->name('CarteOperation');
Route::post('addOperationCarte','TypeopeController@addOperationCarte')->name('addOperationCarte');
Route::get('BoucleOperationCarte/{id}','TypeopeController@BoucleOperationCarte')->name('BoucleOperationCarte');
Route::get('supprimerOperationCarte/{id}','TypeopeController@supprimerOperationCarte')->name('supprimerOperationCarte');
//gestion de chèques
Route::get('Cheques','ChequeController@Cheques')->name('Cheques');
Route::post('addChequeOperation','ChequeController@addChequeOperation')->name('addChequeOperation');
Route::get('boucleChequeTransaction/{id}','ChequeController@boucleChequeTransaction')->name('boucleChequeTransaction');
Route::get('SupprimerChequeTransaction/{id}','ChequeController@SupprimerChequeTransaction')->name('SupprimerChequeTransaction');
Route::post('UpdateChequeOperation/{id}','ChequeController@UpdateChequeOperation')->name('UpdateChequeOperation');
//
//gestion des Postes
Route::get('Postes','UserController@Postes')->name('Postes');
Route::post('AddPoste','UserController@AddPoste')->name('AddPoste');
Route::get('deletePoste/{id}','UserController@deletePoste')->name('deletePoste');
Route::post('UpdatePoste/{id}','UserController@UpdatePoste')->name('UpdatePoste');
//gestion des utilisateurs
Route::get('Dashboard','UserController@Dashboard')->name('Dashboard');
Route::get('Users','UserController@Users')->name('Users');
Route::post('AddUser','UserController@AddUser')->name('AddUser');
Route::get('deleteUser/{id}','UserController@deleteUser')->name('deleteUser');
Route::post('changePoste/{id}','UserController@changePoste')->name('changePoste');
//gestion des clients
Route::get('Clients','ClientController@Clients')->name('Clients');
Route::post('AddClient','ClientController@AddClient')->name('AddClient');
Route::get('deleteClient/{id}','ClientController@deleteClient')->name('deleteClient');
Route::post('UpdateClient/{id}','ClientController@UpdateClient')->name('UpdateClient');
Route::get('deconnexion','ClientController@deconnexion')->name('deconnexion');
//gestion des devises
Route::get('Devise','DeviseController@Devise')->name('Devise');
Route::post('AddDevise','DeviseController@AddDevise')->name('AddDevise');
Route::get('deleteDevise/{id}','DeviseController@deleteDevise')->name('deleteDevise');
Route::post('updateDevise/{id}','DeviseController@updateDevise')->name('updateDevise');
//gestion des des catégorie produits
Route::get('Categorie','CategorieController@Categorie')->name('Categorie');
Route::post('addTypeProduit','CategorieController@addTypeProduit')->name('addTypeProduit');
Route::get('deleteCategorie/{id}','CategorieController@deleteCategorie')->name('deleteCategorie');
Route::post('updateTypeProduit/{id}','CategorieController@updateTypeProduit')->name('updateTypeProduit');
//gestion des produits
Route::get('Produits','CategorieController@Produits')->name('Produits');
Route::post('AddProduit','CategorieController@AddProduit')->name('AddProduit');
Route::get('deleteProduit/{id}','CategorieController@deleteProduit')->name('deleteProduit');
Route::post('UpdateProduit/{id}','CategorieController@UpdateProduit')->name('UpdateProduit');
//gestion des commandes
Route::get('Commandes','CategorieController@Commandes')->name('Commandes');
Route::get('LancerCommande/{id}','CategorieController@LancerCommande')->name('LancerCommande');
Route::post('addingCommande','CategorieController@addingCommande')->name('addingCommande');
Route::get('enleverProduit/{id}','CategorieController@enleverProduit')->name('enleverProduit');
Route::get('boucleCommande/{id}','CategorieController@boucleCommande')->name('boucleCommande');
Route::get('ListCommande/{id}','CategorieController@ListCommande')->name('ListCommande');
Route::post('AfficherCommande','CategorieController@AfficherCommande')->name('AfficherCommande');
//gestion du fournisseur
Route::get('Fournisseur','FournisseurController@Fournisseur')->name('Fournisseur');
Route::post('addFournisseur/{id}','FournisseurController@addFournisseur')->name('addFournisseur');
Route::get('ListeFournisseurs','FournisseurController@ListeFournisseurs')->name('ListeFournisseurs');
Route::get('deleteFournisseur/{id}','FournisseurController@deleteFournisseur')->name('deleteFournisseur');
Route::post('updateFournisseur/{id}','FournisseurController@updateFournisseur')->name('updateFournisseur');
//gestion des types DE PAIEMENT
Route::get('TypePaiements','FournisseurController@TypePaiements')->name('TypePaiements');
Route::post('AddTypePaiement','FournisseurController@AddTypePaiement')->name('AddTypePaiement');
Route::get('deleteTypeOperation/{id}','FournisseurController@deleteTypeOperation')->name('deleteTypeOperation');
Route::post('updateTypePaiement/{id}','FournisseurController@updateTypePaiement')->name('updateTypePaiement');
Route::get('CancelAllCommande/{id}','FournisseurController@CancelAllCommande')->name('CancelAllCommande');
//gestion des Messages
Route::get('Messages','MessageController@Messages')->name('Messages');
Route::post('AddMessage','MessageController@AddMessage')->name('AddMessage');
Route::get('deleteMessage/{id}','MessageController@deleteMessage')->name('deleteMessage');
Route::post('UpdateMessage/{id}','MessageController@UpdateMessage')->name('UpdateMessage');
//gestion des iso
Route::get('iso','MessageController@iso')->name('iso');
Route::post('AddISO','MessageController@AddISO')->name('AddISO');


