<?php $__env->startSection('title'); ?>
    Compte
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Créer un compte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>Solde</th>
                <th>Numéro du compte</th>
                <th>Type du compte</th>
                <th>Banque</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                 <?php $__currentLoopData = $account; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$a): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                         <td><?php echo e($i+1); ?></td>
                         <td>
                             <?php
                               $client=\App\User::find($a->idClient);
                             ?>
                             <?php if($client): ?>
                                 <?php echo e($client->nomClient); ?> <?php echo e($client->prenomClient); ?>

                             <?php else: ?>
                             inconnu
                              <?php endif; ?>
                         </td>
                         <td><?php echo e($a->solde); ?> XOF</td>
                         <td><?php echo e($a->numeroCompte); ?></td>
                         <td>
                             <?php
                                $Type=\App\Typeaccount::find($a->idTypeAccount);
                             ?>
                             <?php if($Type): ?> <?php echo e($Type->typeCompte); ?> <?php else: ?> inconnu <?php endif; ?>
                         </td>
                         <td>
                             <?php
                               $banque=\App\Banque::find($a->idBank);
                             ?>
                             <?php if($banque): ?>
                                 <?php echo e($banque->nomBanque); ?>

                             <?php else: ?>
                                inconnu
                             <?php endif; ?>
                         </td>
                         <td>
                             <?php if($a->etat==0): ?> Bloqué <?php else: ?> Activé <?php endif; ?>
                         </td>
                         <td>
                             <div class="btn-group dropup text-left">
                                 <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                 <ul class="dropdown-menu">
                                     <li><a data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>">Modifier</a></li>
                                     <li><a onclick="confirm('Voulez-vous supprimé ce compte ?')" href="<?php echo e(route('deleteAccount',Crypt::encrypt($a->id))); ?>">Supprimer</a></li>
                                 </ul>
                             </div>
                         </td>
                         <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Modification du type de compte de <?php if($client): ?>
                                                 <?php echo e($client->nomClient); ?> <?php echo e($client->prenomClient); ?>

                                             <?php else: ?>
                                                 inconnu
                                             <?php endif; ?></h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="<?php echo e(route('ChangeTypeAccount',Crypt::encrypt($a->id))); ?>">
                                             <?php echo csrf_field(); ?>
                                             <label>Type de compte</label>
                                             <select class="form-control" name="type" required>
                                                 <option value="<?php echo e($a->idTypeAccount); ?>">Cliquez pour changer <?php if($Type): ?> <?php echo e($Type->typeCompte); ?> <?php else: ?> inconnu <?php endif; ?></option>
                                                 <?php $__currentLoopData = $type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                     <option value="<?php echo e($t->id); ?>"><?php echo e($t->typeCompte); ?></option>
                                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                             </select><br>
                                             <label>Etat du compte</label>
                                             <select class="form-control" required name="etat">
                                                 <option value="<?php echo e($a->etat); ?>">Cliquez pour changer <?php if($a->etat==0): ?> Bloqué <?php else: ?> Activé <?php endif; ?></option>
                                                 <option value="1">Activer</option>
                                                 <option value="0">Bloquer</option>
                                             </select><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un client </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AddAccount')); ?>">
                        <?php echo csrf_field(); ?>
                                <label>Type de compte</label>
                              <select class="form-control" name="type" required>
                                  <option value="">Cliquez</option>
                                  <?php $__currentLoopData = $type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <option value="<?php echo e($t->id); ?>"><?php echo e($t->typeCompte); ?></option>
                                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                              </select><br>
                                <label>Numéro du compte</label>
                                <input type="text" class="form-control" value="<?php echo e(rand(100,9856)); ?>-<?php echo e(rand(1000,999856)); ?>" readonly name="numeroCompte"><br>
                                <label>E-mail du client</label>
                                <input type="email" class="form-control" required name="email"><br>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                    <input type="submit" class="btn btn-primary" value="Valider">
                                </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Account/compte.blade.php ENDPATH**/ ?>