<?php $__env->startSection('title'); ?>
    Liste commande
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <h1>Liste des commandes du <b><?php echo e($debut); ?></b> à <b><?php echo e($fin); ?></b>.</h1>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>Produit</th>
                <th>Quantite</th>
                <th>Total</th>
                <th>Agent</th>
                <th>Date</th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $commande; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($c->matricule); ?></td>
                    <td>
                        <?php
                            $client=\App\User::find($c->idClient);
                        ?>
                        <?php if($client): ?> <?php echo e($client->nomClient); ?> <?php echo e($client->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                    </td>
                    <td>
                        <?php
                            $produit=\App\Produit::find($c->objet);
                        ?>
                        <?php if($produit): ?> <?php echo e($produit->produit); ?> <?php else: ?> inconnu <?php endif; ?>
                    </td>
                    <td><?php echo e($c->quantite); ?></td>
                    <td><?php echo e($c->total); ?>

                        <?php
                            $devise=\App\Devise::find($c->devise);
                        ?>
                        <?php if($devise): ?> <?php echo e($devise->signe); ?> <?php else: ?> incoonu <?php endif; ?>
                    </td>
                    <td>
                        <?php
                            $Agent=\App\User::find($c->idAgent);
                        ?>
                        <?php if($Agent): ?> <?php echo e($Agent->nomClient); ?> <?php echo e($Agent->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                    </td>
                    <td><?php echo e($c->created_at); ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Produit/alllist.blade.php ENDPATH**/ ?>