
<?php $__env->startSection('title'); ?>
    Message
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un message
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th width="50%">Message</th>
                <th></th>
                <th>Auteur</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
               <?php $__currentLoopData = $message; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$m): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <tr>
                       <td><?php echo e($i+1); ?></td>
                       <td><?php echo e($m->message); ?></td>
                       <td></td>
                       <td>
                           <?php
                             $auteur=\App\User::find($m->idAgent);
                           ?>
                           <?php if($auteur): ?> <?php echo e($auteur->nomClient); ?> <?php echo e($auteur->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                       </td>
                       <td class="text-center">
                           <a data-toggle="modal" data-target="#exampleModal<?php echo e($m->id); ?>" title="Modifier" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                           <a onclick="return confirm('Voulez-vous supprimé ce message ?')" href="<?php echo e(route('deleteMessage',Crypt::encrypt($m->id))); ?>" data-toggle="tooltip" title="Supprimer" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                       </td>
                       <div class="modal fade" id="exampleModal<?php echo e($m->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                           <div class="modal-dialog" role="document">
                               <div class="modal-content">
                                   <div class="modal-header" style="background-color: #1b4b72;color:white">
                                       <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du message</h5>
                                   </div>
                                   <div class="modal-body">
                                       <form method="post" action="<?php echo e(route('UpdateMessage',Crypt::encrypt($m->id))); ?>">
                                           <?php echo csrf_field(); ?>
                                           <label>Libelle message</label>
                                           <textarea class="form-control" name="message" required><?php echo e($m->message); ?></textarea>
                                           <div class="modal-footer">
                                               <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                               <input type="submit" class="btn btn-primary" value="Valider">
                                           </div>
                                       </form>
                                   </div>
                               </div>
                           </div>
                       </div>
                   </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un message</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AddMessage')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Libelle message</label>
                        <textarea class="form-control" name="message" required></textarea>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyhtjs/public_html/sepa/resources/views/Message/message.blade.php ENDPATH**/ ?>