
<?php $__env->startSection('title'); ?>
  Opérations avec Carte SEPA
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une opération
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">Code</th>
                <th>Client</th>
                <th>Numero carte</th>
                <th>Type opération</th>
                <th>Montant</th>
                <th>Chargé</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                <?php $__currentLoopData = $operation; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$op): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($op->CodeOperation); ?></td>
                        <td>
                            <?php
                               $Carte=\App\Carte::find($op->carte);
                               $Client=\App\User::find($Carte->idCompte);
                            ?>
                            <?php echo e($Client->nomClient); ?> <?php echo e($Client->prenomClient); ?>

                        </td>
                        <td><?php echo e($Carte->numeroCarte); ?></td>
                        <td><?php echo e($op->operation); ?></td>
                        <td><?php echo e($op->montant); ?> XOF</td>
                        <td>
                            <?php
                              $User=\App\User::find($op->agent);
                            ?>
                            <?php if($User): ?> <?php echo e($User->nomClient); ?> <?php echo e($User->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                        </td>
                        <td>
                            <?php if($op->etat==0): ?> En-entente <?php else: ?> Bouclé <?php endif; ?>
                        </td>
                        <td>
                            <?php if($op->etat==0): ?>
                            <div class="btn-group dropup text-left">
                                <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a href="<?php echo e(route('supprimerOperationCarte',Crypt::encrypt($op->id))); ?>">Annulé</a></li>
                                    <li><a href="<?php echo e(route('BoucleOperationCarte',Crypt::encrypt($op->id))); ?>">Bouclé</a></li>
                                </ul>
                            </div>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une opération SEPA </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('addOperationCarte')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Numero de la carte</label>
                        <div class="row">
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n1">
                            </div>
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n2">
                            </div>
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n3">
                            </div>
                            <div class="col-md-3">
                                <input type="text" minlength="4" maxlength="4" class="form-control" required name="n4">
                            </div>
                        </div><br>
                        <label>Montant</label>
                        <input type="number" min="0" class="form-control" required name="montant"><br>
                        <label>Type d'opération</label>
                        <select class="form-control" required name="operation">
                              <option value="">Cliquez pour changer</option>
                              <option value="retrait">Retrait</option>
                              <option value="depot">Dépôt</option>
                        </select><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyhtjs/public_html/sepa/resources/views/Operation/carte.blade.php ENDPATH**/ ?>