
<?php $__env->startSection('title'); ?>
    Type de paiements
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un type de paiement
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle du type de paiement</th>
                <th>Description</th>
                <th>Frais</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
             <tbody>
                <?php $__currentLoopData = $type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($i+1); ?></td>
                        <td><?php echo e($t->libellePaiement); ?></td>
                        <td><?php echo e($t->url); ?></td>
                        <td><?php echo e($t->frais); ?>

                           <?php
                               $dev=\App\Devise::find($t->devise);
                           ?>
                            <?php if($dev): ?> <?php echo e($dev->signe); ?> <?php else: ?> inconnu <?php endif; ?>
                        </td>
                        <td class="text-center">
                            <a data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>" title="Modifier <?php echo e($t->libellePaiement); ?>" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                            <a onclick="return confirm('Voulez-vous supprimé ce type de paiement ?')" href="<?php echo e(route('deleteTypeOperation',Crypt::encrypt($t->id))); ?>" data-toggle="tooltip" title="Supprimer <?php echo e($t->libellePaiement); ?>" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                        </td>
                        <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header" style="background-color: #1b4b72;color:white">
                                        <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification d'un type de paiement <?php echo e($t->libellePaiement); ?></h5>
                                    </div>
                                    <div class="modal-body">
                                        <form method="post" action="<?php echo e(route('updateTypePaiement',Crypt::encrypt($t->id))); ?>">
                                            <?php echo csrf_field(); ?>
                                            <label>Libelle du type de paiement</label>
                                            <input type="text" value="<?php echo e($t->libellePaiement); ?>" class="form-control" required name="libelle"><br>
                                            <label>Description du poste</label>
                                            <textarea class="form-control" name="description"><?php echo e($t->description); ?></textarea><br>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>Devise</label>
                                                    <select class="form-control" required name="devise">
                                                        <option value="<?php echo e($t->devise); ?>">Cliquez pour changer <?php if($dev): ?> <?php echo e($dev->signe); ?> <?php else: ?> inconnu <?php endif; ?></option>
                                                        <?php $__currentLoopData = $devise; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <option value="<?php echo e($d->id); ?>"><?php echo e($d->libelleDevise); ?>- <?php echo e($d->signe); ?></option>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Frais du type de paiement</label>
                                                    <input type="number" value="<?php echo e($t->frais); ?>" min="0" class="form-control" required name="frais">
                                                </div>
                                            </div>
                                            <br>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                                <input type="submit" class="btn btn-primary" value="Valider">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un type de paiement</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AddTypePaiement')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Libelle du type de paiement</label>
                        <input type="text" class="form-control" required name="libelle"><br>
                        <label>Description du poste</label>
                        <textarea class="form-control" name="description"></textarea><br>
                        <div class="row">
                            <div class="col-md-6">
                                <label>Devise</label>
                                <select class="form-control" required name="devise">
                                    <option value="">Cliquez</option>
                                    <?php $__currentLoopData = $devise; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $d): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($d->id); ?>"><?php echo e($d->libelleDevise); ?>- <?php echo e($d->signe); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <label>Frais du type de paiement</label>
                                <input type="number" min="0" class="form-control" required name="frais">
                            </div>
                        </div>
                        <br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyhtjs/public_html/sepa/resources/views/Produit/typePaiement.blade.php ENDPATH**/ ?>