<?php $__env->startSection('title'); ?>
    Fournisseurs
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php
       $fournisseur=\App\Fournisseur::all();
    ?>
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <a class="btn btn-success" href="<?php echo e(route('Fournisseur')); ?>">Ajouter un fournisseur</a><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom société fournisseur</th>
                <th>Nom Fournisseur</th>
                <th>Adresse fournisseur</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                 <?php $__currentLoopData = $fournisseur; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$f): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                         <td><?php echo e($i+1); ?></td>
                         <td><?php echo e($f->nomFourniseur); ?></td>
                         <td>
                             <?php
                                $User=\App\User::find($f->idCompte);
                             ?>
                             <?php if($User): ?> <?php echo e($User->nomClient); ?> <?php echo e($User->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                         </td>
                         <td><?php echo e($f->adresseFourniseur); ?></td>
                         <td class="text-center">
                             <a data-toggle="modal" data-target="#exampleModal<?php echo e($f->id); ?>" title="Modifier <?php echo e($f->nomFourniseur); ?>" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                             <a onclick="return confirm('Voulez-vous supprimé ce fournisseur ?')" href="<?php echo e(route('deleteFournisseur',Crypt::encrypt($f->id))); ?>" data-toggle="tooltip" title="Supprimer <?php echo e($f->nomFourniseur); ?>" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                         </td>
                         <div class="modal fade" id="exampleModal<?php echo e($f->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de <?php echo e($f->nomFourniseur); ?></h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="<?php echo e(route('updateFournisseur',Crypt::encrypt($f->id))); ?>">
                                             <?php echo csrf_field(); ?>
                                             <label>Nom etablissement du fournisseur</label>
                                             <input type="text" value="<?php echo e($f->nomFourniseur); ?>" required class="form-control" name="fournisseur"><br>
                                             <label>Adresse de l'établissement</label>
                                             <input type="text" value="<?php echo e($f->adresseFourniseur); ?>" required class="form-control" name="adresse"><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-success" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Produit/com.blade.php ENDPATH**/ ?>