<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCommandesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('commandes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('matricule');
            $table->integer('idCategorie');
            $table->string('objet');
            $table->date('dateCommande');
            $table->integer('etat');
            $table->integer('idClient');
            $table->integer('idAgent');
            $table->integer('quantite');
            $table->integer('prix');
            $table->integer('total');
            $table->integer('devise');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('commandes');
    }
}
