<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        //return view('home');
        if(Auth::user()->statusClient==1){
           return redirect('Dashboard');
        }else{
            $name=Auth::user()->nomClient;
            $prenom=Auth::user()->prenomClient;
            $user="$name $prenom";
            return view('auth.login')->with("info","Désolé $user, votre compte a été bloqué. Veillez Contacter l'administrateur.");
        }
    }
}
