<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateOperationcartesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('operationcartes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('CodeOperation');
            $table->string('operation');
            $table->float('montant');
            $table->integer('agent');
            $table->integer('carte');
            $table->integer('etat');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('operationcartes');
    }
}
