@extends('Dash.app')
@section('title')
    Liste commande
@endsection
@section('content')
    <h1>Liste des commandes du <b>{{$debut}}</b> à <b>{{$fin}}</b>.</h1>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>Produit</th>
                <th>Quantite</th>
                <th>Total</th>
                <th>Agent</th>
                <th>Date</th>
            </tr>
            </thead>
            <tbody>
            @foreach($commande as $i=>$c)
                <tr>
                    <td>{{$c->matricule}}</td>
                    <td>
                        @php
                            $client=\App\User::find($c->idClient);
                        @endphp
                        @if($client) {{$client->nomClient}} {{$client->prenomClient}} @else inconnu @endif
                    </td>
                    <td>
                        @php
                            $produit=\App\Produit::find($c->objet);
                        @endphp
                        @if($produit) {{$produit->produit}} @else inconnu @endif
                    </td>
                    <td>{{$c->quantite}}</td>
                    <td>{{$c->total}}
                        @php
                            $devise=\App\Devise::find($c->devise);
                        @endphp
                        @if($devise) {{$devise->signe}} @else incoonu @endif
                    </td>
                    <td>
                        @php
                            $Agent=\App\User::find($c->idAgent);
                        @endphp
                        @if($Agent) {{$Agent->nomClient}} {{$Agent->prenomClient}} @else inconnu @endif
                    </td>
                    <td>{{$c->created_at}}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection