<?php $__env->startSection('title'); ?>
    Produits
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un Produit
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom du produit</th>
                <th>Description</th>
                <th>Frais</th>
                <th>Catégorie</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
             <tbody>
               <?php $__currentLoopData = $produit; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <tr>
                       <td><?php echo e($i+1); ?></td>
                       <td><?php echo e($p->produit); ?></td>
                       <td><?php echo e($p->description); ?></td>
                       <td><?php echo e($p->prix); ?>

                       <?php
                         $devise=\App\Devise::find($p->idDevise);
                       ?>
                           <?php if($devise): ?> <?php echo e($devise->signe); ?> <?php else: ?> inconnu <?php endif; ?>
                       </td>
                       <td>
                           <?php
                              $Cat=\App\Categorie::find($p->idCategorie);
                           ?>
                           <?php if($Cat): ?> <?php echo e($Cat->libelleCategorie); ?> <?php else: ?> inconnu <?php endif; ?>
                       </td>
                       <td>
                           <?php if($p->etat==0): ?> Bloqué <?php else: ?> Actif <?php endif; ?>
                       </td>
                       <td class="text-center">
                           <a data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>" title="Modifier <?php echo e($p->produit); ?>" class="btn btn-effect-ripple btn-sm btn-success"><i class="fa fa-pencil"></i></a>
                           <a onclick="return confirm('Voulez-vous supprimer ce produit ?')" href="<?php echo e(route('deleteProduit',Crypt::encrypt($p->id))); ?>" data-toggle="tooltip" title="Supprimer <?php echo e($p->produit); ?>" class="btn btn-effect-ripple btn-sm btn-danger"><i class="fa fa-times"></i></a>
                       </td>
                       <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                           <div class="modal-dialog" role="document">
                               <div class="modal-content">
                                   <div class="modal-header" style="background-color: #1b4b72;color:white">
                                       <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification d'un produit <?php echo e($p->produit); ?></h5>
                                   </div>
                                   <div class="modal-body">
                                       <form method="post" action="<?php echo e(route('UpdateProduit',Crypt::encrypt($p->id))); ?>">
                                           <?php echo csrf_field(); ?>
                                           <label>Type du produit</label>
                                           <select class="form-control" required name="typeProduit">
                                               <option value="">Cliquez</option>
                                               <?php $__currentLoopData = $categorie; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                   <option value="<?php echo e($c->id); ?>"><?php echo e($c->libelleCategorie); ?></option>
                                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                           </select><br>
                                           <label>Nom du produit</label>
                                           <input type="text" value="<?php echo e($p->produit); ?>" name="nom" class="form-control" required><br>
                                           <label>Description du produit</label>
                                           <textarea class="form-control" name="description"><?php echo e($p->description); ?></textarea><br>
                                           <div class="row">
                                               <div class="col-md-6">
                                                   <label>Frais du produit</label>
                                                   <input type="number" min="0" name="frais" value="<?php echo e($p->prix); ?>" class="form-control" required><br>
                                               </div>
                                               <div class="col-md-6">
                                                   <label>Devise</label>
                                                   <select class="form-control" required name="devise">
                                                       <option value="<?php echo e($p->idDevise); ?>">Cliquez pour changer <?php if($devise): ?> <?php echo e($devise->signe); ?> <?php else: ?> inconnu <?php endif; ?></option>
                                                       <?php $__currentLoopData = $Devise; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                           <option value="<?php echo e($c->id); ?>"><?php echo e($c->libelleDevise); ?></option>
                                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                   </select><br>
                                               </div>
                                           </div>
                                           <div class="modal-footer">
                                               <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                               <input type="submit" class="btn btn-primary" value="Valider">
                                           </div>
                                       </form>
                                   </div>
                               </div>
                           </div>
                       </div>
                   </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un produit</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AddProduit')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Type du produit</label>
                        <select class="form-control" required name="typeProduit">
                            <option value="">Cliquez</option>
                            <?php $__currentLoopData = $categorie; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($c->id); ?>"><?php echo e($c->libelleCategorie); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select><br>
                        <label>Nom du produit</label>
                        <input type="text" name="nom" class="form-control" required><br>
                        <label>Description du produit</label>
                        <textarea class="form-control" name="description"></textarea><br>
                        <div class="row">
                            <div class="col-md-6">
                                <label>Frais du produit</label>
                                <input type="number" min="0" name="frais" class="form-control" required><br>
                            </div>
                            <div class="col-md-6">
                                <label>Devise</label>
                                <select class="form-control" required name="devise">
                                    <option value="">Cliquez</option>
                                    <?php $__currentLoopData = $Devise; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($c->id); ?>"><?php echo e($c->libelleDevise); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select><br>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Produit/produit.blade.php ENDPATH**/ ?>