<?php $__env->startSection('title'); ?>
    Type de Carte SEPA
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un type de carte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Type de carte</th>
                <th>Description</th>
                <th>Frais</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                 <?php $__currentLoopData = $type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                         <td><?php echo e($i+1); ?></td>
                         <td><?php echo e($t->typeCarte); ?></td>
                         <td><?php echo e($t->description); ?></td>
                         <td><?php echo e($t->frais); ?> XOF</td>
                         <td><?php if($t->etat==0): ?> Bloqué <?php else: ?> Actif <?php endif; ?></td>
                         <td>
                             <div class="btn-group dropup text-left">
                                 <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                 <ul class="dropdown-menu">
                                     <li><a data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>">Modifier</a></li>
                                     <li><a onclick="confirm('Voulez-vous supprimé ce type de carte ?')" href="<?php echo e(route('deleteTypeCarte',Crypt::encrypt($t->id))); ?>">Supprimer</a></li>
                                 </ul>
                             </div>
                         </td>
                         <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du type de carte </h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="<?php echo e(route('UpdateTypeCarte',Crypt::encrypt($t->id))); ?>">
                                             <?php echo csrf_field(); ?>
                                             <label>Libelle Type de carte</label>
                                             <input type="text" value="<?php echo e($t->typeCarte); ?>" class="form-control" required name="libelle"><br>
                                             <label>Frais</label>
                                             <input type="number" value="<?php echo e($t->frais); ?>" class="form-control" required name="frais"><br>
                                             <label>Description</label>
                                             <textarea class="form-control" name="description"><?php echo e($t->description); ?></textarea><br>
                                             <label>Etat du type de carte</label>
                                             <select class="form-control" required name="etat">
                                                 <option value="<?php echo e($t->etat); ?>">Cliquez pour changer <?php if($t->etat==0): ?> Bloqué <?php else: ?> Actif <?php endif; ?></option>
                                                 <option value="0">Bloquer</option>
                                                 <option value="1">Activer</option>
                                             </select><br>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un type de carte </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AddTypeCarte')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Libelle Type de carte</label>
                        <input type="text" class="form-control" required name="libelle"><br>
                        <label>Frais</label>
                        <input type="number" class="form-control" required name="frais"><br>
                        <label>Description</label>
                       <textarea class="form-control" name="description"></textarea><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Account/typecarte.blade.php ENDPATH**/ ?>