
<?php $__env->startSection('title'); ?>
    Chèques
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un chèque
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <td>#</td>
                <th class="text-center">Code opération</th>
                <th>Client</th>
                <th>Montant</th>
                <th>Bénéficiaire</th>
                <th>Date et Heure</th>
                <th>Chargé</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
             <tbody>
               <?php $__currentLoopData = $cheque; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                   <tr>
                       <td><?php echo e($i+1); ?></td>
                       <td><?php echo e($c->numero); ?></td>
                       <td>
                           <?php
                                   $Banque=\App\Account::find($c->idCompte);
                                   $Client=\App\User::find($Banque->idClient);
                                   $Agent=\App\User::find($c->idCharge);
                           ?>
                           <?php if($Client): ?> <?php echo e($Client->nomClient); ?> <?php echo e($Client->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                       </td>
                       <td><?php echo e($c->montant); ?></td>
                       <td><?php echo e($c->beneficiaire); ?></td>
                       <td><?php echo e($c->created_at); ?></td>
                       <td>
                           <?php if($Agent): ?> <?php echo e($Agent->nomClient); ?> <?php echo e($Agent->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?>
                       </td>
                       <td>
                           <?php if($c->etat==0): ?> En-entente <?php else: ?> Bouclé <?php endif; ?>
                       </td>
                       <td>
                           <?php if($c->etat==0): ?>
                           <div class="btn-group dropup text-left">
                               <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                               <ul class="dropdown-menu">
                                   <li><a href="<?php echo e(route('boucleChequeTransaction',Crypt::encrypt($c->id))); ?>">Bouclé</a></li>
                                   <li><a data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>">Modifier</a></li>
                                   <li><a href="<?php echo e(route('SupprimerChequeTransaction',Crypt::encrypt($c->id))); ?>">Annulé</a></li>
                               </ul>
                           </div>
                               <?php endif; ?>
                       </td>
                       <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                           <div class="modal-dialog" role="document">
                               <div class="modal-content">
                                   <div class="modal-header" style="background-color: #1b4b72;color:white">
                                       <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du chèque <?php if($Client): ?> <?php echo e($Client->nomClient); ?> <?php echo e($Client->prenomClient); ?> <?php else: ?> inconnu <?php endif; ?></h5>
                                   </div>
                                   <div class="modal-body">
                                       <form method="post" action="<?php echo e(route('UpdateChequeOperation',Crypt::encrypt($c->id))); ?>">
                                           <?php echo csrf_field(); ?>
                                           <label>Montant</label>
                                           <input type="number" min="0" value="<?php echo e($c->montant); ?>" class="form-control" required name="montant"><br>
                                           <label>Bénéficiaire</label>
                                           <input type="text" class="form-control" value="<?php echo e($c->beneficiaire); ?>" required name="beneficiaire"><br>
                                           <div class="modal-footer">
                                               <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                                               <input type="submit" class="btn btn-primary" value="Valider">
                                           </div>
                                       </form>
                                   </div>
                               </div>
                           </div>
                       </div>
                   </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un chèque</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('addChequeOperation')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Numero du compte du client</label>
                        <div class="row">
                            <div class="col-md-6">
                                <input type="text" class="form-control" required name="n1">
                            </div>
                            <div class="col-md-6">
                                <input type="text" class="form-control" required name="n2">
                            </div>
                        </div><br>
                        <label>Montant</label>
                        <input type="number" min="0" class="form-control" required name="montant"><br>
                       <label>Bénéficiaire</label>
                        <input type="text" class="form-control" required name="beneficiaire"><br>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyhtjs/public_html/sepa/resources/views/Operation/cheque.blade.php ENDPATH**/ ?>