<?php $__env->startSection('title'); ?>
    Dashboard
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
        <div class="row">
            <!-- Simple Stats Widgets -->
            <div class="col-sm-6 col-lg-3">
                <a href="javascript:void(0)" class="widget">
                    <div class="widget-content widget-content-mini text-right clearfix">
                        <div class="widget-icon pull-left themed-background">
                            <i class="gi gi-cardio text-light-op"></i>
                        </div>
                        <h2 class="widget-heading h3">
                            <strong><span data-toggle="counter" data-to="2835"></span></strong>
                        </h2>
                        <span class="text-muted">SALES</span>
                    </div>
                </a>
            </div>
            <div class="col-sm-6 col-lg-3">
                <a href="javascript:void(0)" class="widget">
                    <div class="widget-content widget-content-mini text-right clearfix">
                        <div class="widget-icon pull-left themed-background-success">
                            <i class="gi gi-user text-light-op"></i>
                        </div>
                        <h2 class="widget-heading h3 text-success">
                            <strong>+ <span data-toggle="counter" data-to="2862"></span></strong>
                        </h2>
                        <span class="text-muted">NEW USERS</span>
                    </div>
                </a>
            </div>
            <div class="col-sm-6 col-lg-3">
                <a href="javascript:void(0)" class="widget">
                    <div class="widget-content widget-content-mini text-right clearfix">
                        <div class="widget-icon pull-left themed-background-warning">
                            <i class="gi gi-briefcase text-light-op"></i>
                        </div>
                        <h2 class="widget-heading h3 text-warning">
                            <strong>+ <span data-toggle="counter" data-to="75"></span></strong>
                        </h2>
                        <span class="text-muted">PROJECTS</span>
                    </div>
                </a>
            </div>
            <div class="col-sm-6 col-lg-3">
                <a href="javascript:void(0)" class="widget">
                    <div class="widget-content widget-content-mini text-right clearfix">
                        <div class="widget-icon pull-left themed-background-danger">
                            <i class="gi gi-wallet text-light-op"></i>
                        </div>
                        <h2 class="widget-heading h3 text-danger">
                            <strong>$ <span data-toggle="counter" data-to="5820"></span></strong>
                        </h2>
                        <span class="text-muted">EARNINGS</span>
                    </div>
                </a>
            </div>
            <!-- END Simple Stats Widgets -->
        </div>
        <div class="row">
            <div class="col-sm-4">
                <!-- Project Widget -->
                <div class="widget">
                    <div class="widget-content border-bottom">
                        <span class="pull-right text-muted">60%</span>
                        Project
                    </div>
                    <a href="javascript:void(0)" class="widget-content themed-background-muted text-right clearfix">
                        <img src="img/placeholders/avatars/avatar6.jpg" alt="avatar" class="img-circle img-thumbnail img-thumbnail-avatar pull-left">
                        <h2 class="widget-heading h3 text-muted">Logo</h2>
                        <div class="progress progress-striped progress-mini active">
                            <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="85" aria-valuemin="0" aria-valuemax="100" style="width: 85%"></div>
                        </div>
                    </a>
                    <a href="javascript:void(0)" class="widget-content themed-background-muted border-top text-right clearfix">
                        <img src="img/placeholders/avatars/avatar2.jpg" alt="avatar" class="img-circle img-thumbnail img-thumbnail-avatar pull-left">
                        <h2 class="widget-heading h3 text-muted">Icon Pack</h2>
                        <div class="progress progress-striped progress-mini active">
                            <div class="progress-bar progress-bar-danger" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: 40%"></div>
                        </div>
                    </a>
                    <a href="javascript:void(0)" class="widget-content themed-background-muted border-top text-right clearfix">
                        <img src="img/placeholders/avatars/avatar11.jpg" alt="avatar" class="img-circle img-thumbnail img-thumbnail-avatar pull-left">
                        <h2 class="widget-heading h3 text-muted">Design</h2>
                        <div class="progress progress-striped progress-mini active">
                            <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100" style="width: 55%"></div>
                        </div>
                    </a>
                </div>
                <!-- END Project Widget -->
            </div>
            <div class="col-sm-4">
                <!-- Statistics Widget -->
                <div class="widget">
                    <div class="widget-content border-bottom">
                        <span class="pull-right text-muted"><i class="fa fa-check"></i></span>
                        Weekly Sales
                    </div>
                    <div class="widget-content border-bottom themed-background-muted text-center">
                        <span id="widget-dashchart-sales">12,15,14,18,16,15,16,17</span>
                    </div>
                    <div class="widget-content widget-content-full-top-bottom border-bottom">
                        <div class="row text-center">
                            <div class="col-xs-6 push-inner-top-bottom border-right">
                                <h3 class="widget-heading"><i class="gi gi-book_open text-dark push"></i> <br><small>123 Total Sales</small></h3>
                            </div>
                            <div class="col-xs-6 push-inner-top-bottom">
                                <h3 class="widget-heading"><i class="gi gi-user_add text-dark push"></i> <br><small>+10% Clients</small></h3>
                            </div>
                        </div>
                    </div>
                    <div class="widget-content widget-content-full">
                        <div class="row text-center">
                            <div class="col-xs-6 push-inner-top-bottom border-right">
                                <h3 class="widget-heading"><i class="gi gi-briefcase text-dark push"></i> <br><small>5 Products</small></h3>
                            </div>
                            <div class="col-xs-6 push-inner-top-bottom">
                                <h3 class="widget-heading"><i class="gi gi-truck text-dark push"></i> <br><small>10 Deliveries</small></h3>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END Statistics Widget -->
            </div>
            <div class="col-sm-4 col-lg-4">
                <!-- Stats User Widget -->
                <a href="page_ready_profile.html" class="widget">
                    <div class="widget-content border-bottom text-dark">
                        <span class="pull-right text-muted">-</span>
                        UTILISATEUR
                    </div>
                    <div class="widget-content border-bottom text-center themed-background-muted">
                        <img src="img/placeholders/avatars/avatar13@2x.jpg" alt="avatar" class="img-circle img-thumbnail img-thumbnail-avatar-2x">
                        <h2 class="widget-heading h3 text-dark"><?php echo e(Auth::user()->nomClient); ?> <?php echo e(Auth::user()->prenomClient); ?></h2>
                        <span class="text-muted">
                                            <strong>
                                                <?php
                                                  $Poste=\App\Poste::find(Auth::user()->poste);
                                                ?>
                                                <?php if($Poste): ?> <?php echo e($Poste->nomPoste); ?> <?php else: ?> Poste inconnu <?php endif; ?>
                                            </strong>, Ajouté le <?php echo e(Auth::user()->created_at); ?>

                                        </span>
                    </div>
                    <div class="widget-content widget-content-full-top-bottom">
                        <div class="row text-center">
                            <div class="col-xs-6 push-inner-top-bottom border-right">
                                <h3 class="widget-heading"><i class="gi gi-briefcase text-dark push-bit"></i> <br><small>35 Projects</small></h3>
                            </div>
                            <div class="col-xs-6 push-inner-top-bottom">
                                <h3 class="widget-heading"><i class="gi gi-heart_empty text-dark push-bit"></i> <br><small>5.3k Likes</small></h3>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <!-- END Third Row -->
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Dash/index.blade.php ENDPATH**/ ?>