<?php $__env->startSection('title'); ?>
    Postes
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter un Poste
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Libelle du Poste</th>
                <th>Description</th>
                <th></th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
                 <?php $__currentLoopData = $poste; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                         <td><?php echo e($i+1); ?></td>
                         <td><?php echo e($p->nomPoste); ?></td>
                         <td><?php echo e($p->descriptionPoste); ?></td>
                         <td></td>
                         <td class="text-center">
                             <a data-toggle="modal" data-target="#exampleModal<?php echo e($p->id); ?>" title="Modifier <?php echo e($p->nomPoste); ?>" class="btn btn-effect-ripple btn-xs btn-success"><i class="fa fa-pencil"></i></a>
                             <a onclick="confirm('Voulez-vous supprimé ce poste ?')" href="<?php echo e(route('deletePoste',Crypt::encrypt($p->id))); ?>" data-toggle="tooltip" title="Supprimer <?php echo e($p->nomPoste); ?>" class="btn btn-effect-ripple btn-xs btn-danger"><i class="fa fa-times"></i></a>
                         </td>
                         <div class="modal fade" id="exampleModal<?php echo e($p->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                             <div class="modal-dialog" role="document">
                                 <div class="modal-content">
                                     <div class="modal-header" style="background-color: #1b4b72;color:white">
                                         <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification du poste <?php echo e($p->nomPoste); ?></h5>
                                     </div>
                                     <div class="modal-body">
                                         <form method="post" action="<?php echo e(route('UpdatePoste',Crypt::encrypt($p->id))); ?>">
                                             <?php echo csrf_field(); ?>
                                             <label>Libelle du poste</label>
                                             <input type="text" value="<?php echo e($p->nomPoste); ?>" class="form-control" required name="poste"><br>
                                             <label>Description du poste</label>
                                             <textarea class="form-control" required name="description"><?php echo e($p->descriptionPoste); ?></textarea>
                                             <div class="modal-footer">
                                                 <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                                                 <input type="submit" class="btn btn-primary" value="Valider">
                                             </div>
                                         </form>
                                     </div>
                                 </div>
                             </div>
                         </div>
                     </tr>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'un poste</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AddPoste')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Libelle du poste</label>
                        <input type="text" class="form-control" required name="poste"><br>
                        <label>Description du poste</label>
                        <textarea class="form-control" required name="description"></textarea>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\bbank\resources\views/Users/poste.blade.php ENDPATH**/ ?>