
<?php $__env->startSection('title'); ?>
    Carte SEPA
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#exampleModal">
        Ajouter une Carte
    </button><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Numero carte</th>
                <th>Solde</th>
                <th>Tutilaire</th>
                <th>Date Validité</th>
                <th>Etat</th>
                <th>Type de carte</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
           <tbody>
                  <?php $__currentLoopData = $carte; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$c): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <tr>
                         <td><?php echo e($i+1); ?></td>
                          <td><?php echo e($c->numeroCarte); ?></td>
                          <td><?php echo e($c->solde); ?> XOF</td>
                          <td>
                              <?php
                                  $User=\App\User::find($c->idCompte);
                              ?>
                              <?php if($User): ?> <?php echo e($User->nomClient); ?> <?php echo e($User->prenomClient); ?> <?php else: ?> Inconnu <?php endif; ?>
                          </td>
                          <td><?php echo e($c->DateValidite); ?></td>
                          <td>
                              <?php if($c->etat==0): ?>
                                  Bloqué
                              <?php else: ?>
                                Actif
                              <?php endif; ?>
                          </td>
                          <td>
                              <?php
                                  $Type=\App\Typecarte::find($c->typeCarte);
                              ?>
                              <?php if($Type): ?> <?php echo e($Type->typeCarte); ?> <?php else: ?> inconnu <?php endif; ?>
                          </td>
                          <td>
                              <div class="btn-group dropup text-left">
                                  <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                  <ul class="dropdown-menu">
                                      <?php if($c->etat==0): ?>
                                      <li><a onclick="confirm('Voulez-vous débloqué la carte ?')" href="<?php echo e(route('ActiverCarteSepa',Crypt::encrypt($c->id))); ?>">Activer</a></li>
                                      <?php else: ?>
                                      <li><a onclick="confirm('Voulez-vous bloqué la carte ?')" href="<?php echo e(route('BloqueCarteSepa',Crypt::encrypt($c->id))); ?>">Bloquer</a></li>
                                      <?php endif; ?>
                                      <li><a onclick="confirm('Voulez-vous supprimé la carte ?')" href="<?php echo e(route('deleteCarteSepa',Crypt::encrypt($c->id))); ?>">Supprimer</a></li>
                                  </ul>
                              </div>
                          </td>
                      </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           </tbody>
        </table>
    </div>
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'ajout d'une carte SEPA </h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('CreateCarte')); ?>">
                        <?php echo csrf_field(); ?>
                        <label>Numero de la carte</label>
                        <div class="row">
                            <div class="col-md-3">
                                <input type="text" value="<?php echo e(rand(1000,9999)); ?>" class="form-control" readonly name="n1">
                            </div>
                            <div class="col-md-3">
                                <input type="text" value="<?php echo e(rand(1000,9999)); ?>" class="form-control" readonly name="n2">
                            </div>
                            <div class="col-md-3">
                                <input type="text" value="<?php echo e(rand(1000,9999)); ?>" class="form-control" readonly name="n3">
                            </div>
                            <div class="col-md-3">
                                <input type="text" value="<?php echo e(rand(1000,9999)); ?>" class="form-control" readonly name="n4">
                            </div>
                        </div><br>
                        <label>Type de carte</label>
                        <select class="form-control" required name="type">
                            <option value="">Cliquez</option>
                            <?php $__currentLoopData = $type; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $t): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($t->id); ?>"><?php echo e($t->typeCarte); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select><br>
                       <div class="row">
                           <div class="col-md-4">
                               <label>Date Expiration</label>
                               <input type="date" class="form-control" name="dateExpiration" required>
                           </div>
                           <div class="col-md-8">
                               <label>E-mail du client</label>
                               <input type="text" class="form-control" name="email" required>
                           </div>
                       </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-dark" data-dismiss="modal">Annuler</button>
                            <input type="submit" class="btn btn-primary" value="Valider">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/easyhtjs/public_html/sepa/resources/views/Account/carte.blade.php ENDPATH**/ ?>