<?php $__env->startSection('title'); ?>
    Pré-Commande
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
       Afficher les commandes
    </button>
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'affichage</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="<?php echo e(route('AfficherCommande')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-md-6">
                                <label>Date début</label>
                                <input type="date" class="form-control" required name="Debut">
                            </div>
                            <div class="col-md-6">
                                <label>Date fin</label>
                                <input type="date" class="form-control" required name="Fin">
                            </div>
                        </div>
                        <br>
                        <input type="submit" class="btn btn-success" value="Afficher">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">Fermer</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <br><br>

    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
                <th></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $Client; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$u): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($i+1); ?></td>
                    <td><?php echo e($u->nomClient); ?> <?php echo e($u->prenomClient); ?></td>
                    <td>
                        <?php if($u->statusClient==1): ?>
                            <div class="btn-group dropup text-left">
                                <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li> <a onclick=" return confirm('Voulez-vous lancer cette commande ?')" href="<?php echo e(route('LancerCommande',Crypt::encrypt($u->id))); ?>">Lancer commande</a></li>
                                    <li> <a href="<?php echo e(route('ListCommande',Crypt::encrypt($u->id))); ?>">Liste des commandes</a></li>
                                </ul>
                            </div>
                        <?php endif; ?>
                    </td>
                    <td></td>
                    <td></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Produit/precommande.blade.php ENDPATH**/ ?>