<?php $__env->startSection('title'); ?>
    Fournisseurs
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <!-- Button trigger modal -->
    <?php if($Success=Session::get('info')): ?>
        <div class="alert alert-success"><?php echo e($Success); ?></div>
    <?php endif; ?>
    <a class="btn btn-primary" href="<?php echo e(route('ListeFournisseurs')); ?>">Liste des Fournisseurs</a><br><br>
    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th>E-mail</th>
                <th>Contact</th>
                <th>Adresse</th>
                <th>Etat</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
            </tr>
            </thead>
            <tbody>
            <?php $__currentLoopData = $Client; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i=>$u): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($i+1); ?></td>
                    <td><?php echo e($u->nomClient); ?> <?php echo e($u->prenomClient); ?></td>
                    <td><?php echo e($u->email); ?></td>
                    <td><?php echo e($u->contactClient); ?></td>
                    <td><?php echo e($u->adresseClient); ?></td>
                    <td>
                        <?php if($u->statusClient==0): ?> Bloqué <?php else: ?> Actif <?php endif; ?>
                    </td>
                    <td>
                        <a data-toggle="modal" data-target="#exampleModal<?php echo e($i); ?>" class="btn btn-success btn-sm">Ajouter comme Fournisseur</a>
                    </td>
                    <div class="modal fade" id="exampleModal<?php echo e($i); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header" style="background-color: #1b4b72;color:white">
                                    <h5 class="modal-title" id="exampleModalLabel">Formulaire de modification de <?php echo e($u->nomClient); ?> <?php echo e($u->prenomClient); ?></h5>
                                </div>
                                <div class="modal-body">
                                    <form method="post" action="<?php echo e(route('addFournisseur',Crypt::encrypt($u->id))); ?>">
                                        <?php echo csrf_field(); ?>
                                        <label>Nom etablissement du fournisseur</label>
                                        <input type="text" required class="form-control" name="fournisseur"><br>
                                        <label>Adresse de l'établissement</label>
                                        <input type="text" required class="form-control" name="adresse"><br>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-success" data-dismiss="modal">Annuler</button>
                                            <input type="submit" class="btn btn-primary" value="Valider">
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('Dash.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\sepa\resources\views/Produit/fournisseur.blade.php ENDPATH**/ ?>