@extends('Dash.app')
@section('title')
    Pré-Commande
@endsection
@section('content')
    <!-- Button trigger modal -->
    @if($Success=Session::get('info'))
        <div class="alert alert-success">{{$Success}}</div>
    @endif
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
       Afficher les commandes
    </button>
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header" style="background-color: #1b4b72;color:white">
                    <h5 class="modal-title" id="exampleModalLabel">Formulaire d'affichage</h5>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{route('AfficherCommande')}}">
                        @csrf
                        <div class="row">
                            <div class="col-md-6">
                                <label>Date début</label>
                                <input type="date" class="form-control" required name="Debut">
                            </div>
                            <div class="col-md-6">
                                <label>Date fin</label>
                                <input type="date" class="form-control" required name="Fin">
                            </div>
                        </div>
                        <br>
                        <input type="submit" class="btn btn-success" value="Afficher">
                        <button type="button" class="btn btn-primary" data-dismiss="modal">Fermer</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <br><br>

    <div class="table-responsive">
        <table id="example-datatable" class="table table-striped table-bordered table-vcenter">
            <thead>
            <tr>
                <th class="text-center">#</th>
                <th>Nom et Prenom</th>
                <th class="text-center" style="width: 75px;"><i class="fa fa-flash"></i></th>
                <th></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            @foreach($Client as $i=>$u)
                <tr>
                    <td>{{$i+1}}</td>
                    <td>{{$u->nomClient}} {{$u->prenomClient}}</td>
                    <td>
                        @if($u->statusClient==1)
                            <div class="btn-group dropup text-left">
                                <a href="javascript:void(0)" data-toggle="dropdown" class="btn btn-success btn-sm dropdown-toggle">Actions <span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li> <a onclick=" return confirm('Voulez-vous lancer cette commande ?')" href="{{route('LancerCommande',Crypt::encrypt($u->id))}}">Lancer commande</a></li>
                                    <li> <a href="{{route('ListCommande',Crypt::encrypt($u->id))}}">Liste des commandes</a></li>
                                </ul>
                            </div>
                        @endif
                    </td>
                    <td></td>
                    <td></td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
@endsection